Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.shared
Class MainController

    java.lang.Object
      org.teleal.common.swingfwk.AbstractController<javax.swing.JFrame>
          org.teleal.cling.support.shared.MainController

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.WindowListener, java.util.EventListener, org.teleal.common.swingfwk.Controller<javax.swing.JFrame>

    public abstract class MainController

extends org.teleal.common.swingfwk.AbstractController<javax.swing.JFrame>

Author:
  Christian Bauer

Nested Class Summary
`static class` | `MainController.ShutdownWindow`

Constructor Summary
`MainController(javax.swing.JFrame view, java.util.List<org.teleal.common.swingfwk.logging.LogCategory> logCategories)`

Method Summary
`void` | `dispose()`
`org.teleal.common.swingfwk.logging.LogController` | `getLogController()`
`javax.swing.JPanel` | `getLogPanel()`
`abstract org.teleal.cling.UpnpService` | `getUpnpService()`
`void` | `log(java.util.logging.Level level, java.lang.String msg)`
`void` | `log(org.teleal.common.swingfwk.logging.LogMessage message)`

Methods inherited from class org.teleal.common.swingfwk.AbstractController
`actionPerformed, deregisterAction, failedActionExecute, finalActionExecute, fireEvent, fireEvent, fireEventGlobal, getParentController, getSubControllers, getView, postActionExecute, preActionExecute, registerAction, registerAction, registerEventListener, windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MainController

    public MainController(javax.swing.JFrame view,
                          java.util.List<org.teleal.common.swingfwk.logging.LogCategory> logCategories)

Method Detail

### getLogController

    public org.teleal.common.swingfwk.logging.LogController getLogController()

### getLogPanel

    public javax.swing.JPanel getLogPanel()

### log

    public void log(java.util.logging.Level level,
                    java.lang.String msg)

### log

    public void log(org.teleal.common.swingfwk.logging.LogMessage message)

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.teleal.common.swingfwk.Controller<javax.swing.JFrame>`
  Overrides:
    `dispose` in class `org.teleal.common.swingfwk.AbstractController<javax.swing.JFrame>`

### getUpnpService

    public abstract org.teleal.cling.UpnpService getUpnpService()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.